# Bot API

Bot API adalah API dari 3Dolphins SRM ChatBot yang dapat digunakan untuk kebutuhan integrasi dengan sistem lain.

Login sebagai ***‘Supervisor’*** atau ***‘Administrator’***, pergi ke menu ***API*** dan klik menu ***Bot API***, maka Anda akan melihat halaman bot API seperti gambar berikut.

![Bot API](/files/-MUl_cZFQngKEkeSzfFy)

| Kolom/Catatan    | Deskripsi                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| ---------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Method           | Method menunjukkan interaksi yang diizinkan (seperti GET, POST, PUT, atau DELETE) dengan resource.                                                                                                                                                                                                                                                                                                                                                           |
| Media Type       | Menentukan format data sebagai type/subtype application/json.                                                                                                                                                                                                                                                                                                                                                                                                |
| URL              | Field ini mendukung atribut user, URL akan di encode dengan permintaan Anda.                                                                                                                                                                                                                                                                                                                                                                                 |
| Body             | Badan API 3Dolphins yang mewakili isi response/request.                                                                                                                                                                                                                                                                                                                                                                                                      |
| Status           | <p>Kode status respons HTTP menunjukkan apakah permintaan HTTP tertentu telah berhasil diselesaikan. Tanggapan dikelompokkan dalam lima class:<br>1. Informational responses (<code>100</code>–<code>199</code>),<br>2. Successful responses (<code>200</code>–<code>299</code>),<br>3. Redirects (<code>300</code>–<code>399</code>),<br>4. Client errors (<code>400</code>–<code>499</code>),<br>5. Server errors (<code>500</code>–<code>599</code>).</p> |
| Response         | Interface Respons dari 3Dolphins API mewakili respons atas request.                                                                                                                                                                                                                                                                                                                                                                                          |
| Server           | URL Aplikasi                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| Username         | Username credential                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| Password         | Password credential                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| GeneratedTokenId | Token id yang di generate                                                                                                                                                                                                                                                                                                                                                                                                                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.3dolphins.ai/5.3.0-id/api/bot-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
